- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# selective – only print certain tasks

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This callback only prints tasks that have been tagged with print_action or that have failed. This allows operators to focus on the tasks that provide value only.
- Tasks that are not printed are placed with a ‘.’.
- If you increase verbosity all tasks are printed.

## Requirements

The below requirements are needed on the local master node that executes this callback.

- set as main display callback

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
nocolor boolean | Default: "no" | ini entries: [defaults] nocolor = no env:ANSIBLE_NOCOLOR env:ANSIBLE_SELECTIVE_DONT_COLORIZE | This setting allows suppressing colorizing output

## Examples

    - debug: msg="This will not be printed"
    - debug: msg="But this will"
      tags: [print_action]

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.